Subject: RE: FVWM: Colors...

From: "Nagle, Adrian" <[email-masked]>
Date: Fri, 23 Oct 1998 10:17:41 -0600

Thanks for everyone's input.  I will try 'xdpyinfo' and see where I am.
Hopefully I will learn that I am somehow using a smaller color depth than I
thought I was using.

Adrian

-- 
Adrian Nagle             Ball Aerospace & Technologies Corp.
Thermal Engineer                               P.O. Box 1062
TEL: 303-939-6518                    Boulder, CO  80306-1062
FAX: 303-939-5166               http://www.ballaerospace.com

> -----Original Message-----
> > This may not be the appropriate place to ask but I'll make it quick.
> > 
> > I'm trying to figure out what color depth I'm running FVWM2 in.  I've
> > started looks at pictures with xv and they do not get all of the
> picture's
> > color palette.  My graphics card can handle many colors (at least
> 32bit).
> > Is there a way to check the setting after loading FVWM2?  I was looking
> in
> > the XF86Config file and it looks like it is set to 32bit, but that
> doesn't
> > make sense with the strange colors I'm experiencing.  Title bar gradient
> > fill wouldn't do that would it?
> 
> According to the man page the maximum colors for the gradient is 128
> colors.
> 
> You can verify what visuals (X color depths) your X server is providing
> with
> xdpyinfo.
> 
> Which visuals your application is using can often be verified with
> xwininfo and
> then selecting a window your application is displaying.
> 
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Bob Woodside <[email-masked]>
Date: Fri, 23 Oct 1998 22:32:52 -0400 (EDT)

"Nagle, Adrian" <[email-masked]> wrote:
> started looks at pictures with xv and they do not get all of the picture's
> color palette.  My graphics card can handle many colors (at least 32bit).
> Is there a way to check the setting after loading FVWM2?  I was looking in
> the XF86Config file and it looks like it is set to 32bit, but that doesn't

	Titlebar gradients shouldn't cause this problem. First, as somebody
else mentioned, try running xdpyinfo to find out what visuals your X server
supports. Then try experimenting with xv's -visual command line option.

	xv tries to determine the best visual to use, but doesn't always
make the best choice with some of the newer server/card combinations.
I'd start by trying

		xv -visual default

(that's what I use with AcceleratedX). I'll bet that works, but if it
doesn't give you the right results, try -visual TrueColor or -visual
DirectColor (assuming xdpyinfo says the server supports those).